--- ./kmysqladmin/helpers/helpers.cpp.orig	Tue Feb 11 14:10:47 2003
+++ ./kmysqladmin/helpers/helpers.cpp	Tue Feb 11 14:11:10 2003
@@ -14,8 +14,6 @@
 #include <unistd.h>
 #include "qfont.h"
 #endif
-#include <istream>
-#include <ostream>
 #include <iostream>
 
 #include <fstream>
--- ./kmysqladmin/tabledescr.cpp.orig	Tue Feb 11 14:13:25 2003
+++ ./kmysqladmin/tabledescr.cpp	Tue Feb 11 14:24:25 2003
@@ -4,6 +4,7 @@
 
 #include "tabledescr.h"
 #include "pairs.h"
+#include <algorithm>
 
 #ifndef rcsid
 static const char rcsid[]="$Id: tabledescr.cpp,v 2.14 2003/02/04 00:08:53 ral Exp $";
@@ -36,7 +37,7 @@
     string_int_pair p(column,size);
 
     //iter = ColumnsList.find(p);
-    iter = find(ColumnsList.begin(),ColumnsList.end(),p);
+    iter = std::find(ColumnsList.begin(),ColumnsList.end(),p);
     if (iter != ColumnsList.end()) {
 	return -1;
     }
@@ -60,7 +61,7 @@
 
     string_int_pair p(column,0);
 
-    iter = find(ColumnsList.begin(),ColumnsList.end(),p);
+    iter = std::find(ColumnsList.begin(),ColumnsList.end(),p);
 
     if (iter != ColumnsList.end())
 	ColumnsList.erase(iter);    
@@ -83,7 +84,7 @@
     if (column.size()==0)
 	return false;
     string_int_pair p(column,0);
-    return (find(ColumnsList.begin(),ColumnsList.end(),p)!=ColumnsList.end());
+    return (std::find(ColumnsList.begin(),ColumnsList.end(),p)!=ColumnsList.end());
 }
 
 bool CKeyDescriptor::contains_column_name(const char*column)
@@ -103,7 +104,7 @@
 
     string_int_pair p(column,0);
 
-    iter = find(ColumnsList.begin(),ColumnsList.end(),p);
+    iter = std::find(ColumnsList.begin(),ColumnsList.end(),p);
     if (iter==ColumnsList.end())
 	return 0xFFFFFFFF;
     return iter->second;
--- ./kmysqladmin/modifytable.cpp.orig	Tue Feb 11 14:25:57 2003
+++ ./kmysqladmin/modifytable.cpp	Tue Feb 11 14:26:25 2003
@@ -30,6 +30,8 @@
 #include <qtooltip.h>                                                           
 #include <qwhatsthis.h>
 
+#include <algorithm>
+
 #ifndef rcsid
 static const char rcsid[]="$Id: modifytable.cpp,v 2.28 2003/02/04 00:08:53 ral Exp $";
 //const char*modifytable_rcs(){return rcsid;}
--- ./kmysqladmin/compoundkeydata.cpp.orig	Tue Feb 11 14:26:59 2003
+++ ./kmysqladmin/compoundkeydata.cpp	Tue Feb 11 14:27:09 2003
@@ -20,6 +20,7 @@
 #include <qwhatsthis.h>
 #include <qimage.h>
 #include <qpixmap.h>
+#include <algorithm>
 
 static const char* const image0_data[] = { 
 "55 24 2 1",
--- ./kmysqladmin/createtable.cpp.orig	Tue Feb 11 14:27:25 2003
+++ ./kmysqladmin/createtable.cpp	Tue Feb 11 14:27:40 2003
@@ -26,6 +26,7 @@
 #include <qvariant.h>                                                           
 #include <qtooltip.h>                                                           
 #include <qwhatsthis.h>    
+#include <algorithm>
 
 
 #ifndef rcsid
--- ./kmysqladmin/compoundkeydlg.cpp.orig	Tue Feb 11 14:27:56 2003
+++ ./kmysqladmin/compoundkeydlg.cpp	Tue Feb 11 14:28:06 2003
@@ -21,6 +21,7 @@
 #include <qwhatsthis.h>                                                         
 #include <qimage.h>                                                             
 #include <qpixmap.h> 
+#include <algorithm>
 
 #include "stringres.h"
 
--- ./kmysqladmin/altertable.cpp.orig	Tue Feb 11 14:28:33 2003
+++ ./kmysqladmin/altertable.cpp	Tue Feb 11 14:28:48 2003
@@ -48,6 +48,7 @@
 #include <qvariant.h>                                                           
 #include <qtooltip.h>                                                           
 #include <qwhatsthis.h>
+#include <algorithm>
 
 CAlterTable::CAlterTable(smart_pointer<CMySql>& _sql_server,QWidget *parent, const char *name )
     : CModifyTable(_sql_server,parent,name)
